#if !defined(AFX_DLGUSERSETTINGS_H__BA908A9E_484A_4509_BEFB_0E379A5F6FAB__INCLUDED_)
#define AFX_DLGUSERSETTINGS_H__BA908A9E_484A_4509_BEFB_0E379A5F6FAB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgUserSettings.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgUserSettings dialog

class CDlgUserSettings : public CDialog
{
// Construction
public:
	CDlgUserSettings(CWnd* pParent = NULL);   // standard constructor
	LONG m_nUserId;
// Dialog Data
	//{{AFX_DATA(CDlgUserSettings)
	enum { IDD = IDD_DLG_USER_SETTINGS };
	CListCtrl	m_listUser;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgUserSettings)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	BOOL InitListCtrl();
	BOOL LoadAllUser();
	void DeleteAllItem();
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgUserSettings)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnClickListUser(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRclickListUser(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGUSERSETTINGS_H__BA908A9E_484A_4509_BEFB_0E379A5F6FAB__INCLUDED_)
